<?php
	/*  Copyright 2010  James Williamson  (james.f.williamson@googlemail.com)
	
	    This program is free software; you can redistribute it and/or modify
	    it under the terms of the GNU General Public License, version 2, as 
	    published by the Free Software Foundation.
	
	    This program is distributed in the hope that it will be useful,
	    but WITHOUT ANY WARRANTY; without even the implied warranty of
	    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	    GNU General Public License for more details.
	
	    You should have received a copy of the GNU General Public License
    	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	*/
	
	//	Thanks to Jake Howe (www.gmjhowe.com) for his help with the html and css.
	
	
	
	$username = "jayefuu";
	if(isset($_GET["offset"])){
		$offset = $_GET["offset"];
	}
	else {
		$offset = 0;	
	}
	$sort = $_GET["sort"];
	
	
	 
	$url = "http://www.instructables.com/member/$username/?show=INSTRUCTABLES&sort=$sort&limit=15&offset=$offset";
	
	$ch = curl_init($url);
	$userAgent = 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050+511 Firefox/1.0.4';
	$referer = 'http://www.instructables.com/';
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_USERAGENT, $userAgent);
	curl_setopt($ch	, CURLOPT_REFERER, $referer);
	$html = curl_exec($ch);
	curl_close($ch);
?>

<html>
<head>
<title></title>
<link rel="stylesheet" type="text/css" href="embed_ibles.css" />
</head>
<body>

<?php
	//Prints an HTML comment so curious readers can find where to get it too and where to get support
	echo("<!--START: Instructables Embed Code by James Williamson: www.redtorope.com/programming/embed-instructables-->");
	
	//beginning of navigation banner
	echo("<div class=\"navcontainer\"><div class=\"nav\">");
	if(preg_match(':VIEWS:', $sort)){
		echo("sort by: <a href=\"?show=INSTRUCTABLES&sort=RECENT&limit=15&offset=$offset\">recent</a> | <b>views</b> | <a href=\"?show=INSTRUCTABLES&sort=NAME&limit=15&offset=$offset\">name</a> | <a href=\"?show=INSTRUCTABLES&sort=RATING&limit=15&offset=$offset\">rating</a>");	
	}
	elseif(preg_match(':NAME:', $sort)){
		echo("sort by: <a href=\"?show=INSTRUCTABLES&sort=RECENT&limit=15&offset=$offset\">recent</a> |  <a href=\"?show=INSTRUCTABLES&sort=VIEWS&limit=15&offset=$offset\">views</a> | <b>name</b> | <a href=\"?show=INSTRUCTABLES&sort=RATING&limit=15&offset=$offset\">rating</a>");	
	
	}
	elseif(preg_match(':RECENT:', $sort)){
		echo("sort by: <b>recent</b> | <a href=\"?show=INSTRUCTABLES&sort=VIEWS&limit=15&offset=$offset\">views</a> | <a href=\"?show=INSTRUCTABLES&sort=NAME&limit=15&offset=$offset\">name</a> | <a href=\"?show=INSTRUCTABLES&sort=RATING&limit=15&offset=$offset\">rating</a>");	
	
	}
	elseif(preg_match(':RATING:', $sort)){
		echo("sort by: <a href=\"?show=INSTRUCTABLES&sort=RECENT&limit=15&offset=$offset\">recent</a> |  <a href=\"?show=INSTRUCTABLES&sort=VIEWS&limit=15&offset=$offset\">views</a> | <a href=\"?show=INSTRUCTABLES&sort=NAME&limit=15&offset=$offset\">name</a> | <b>rating</b>");	
	
	}
	else{
		echo("sort by: <b>recent</b> | <a href=\"?show=INSTRUCTABLES&sort=VIEWS&limit=15&offset=$offset\">views</a> | <a href=\"?show=INSTRUCTABLES&sort=NAME&limit=15&offset=$offset\">name</a> | <a href=\"?show=INSTRUCTABLES&sort=RATING&limit=15&offset=$offset\">rating</a>");		
	}
	
	echo("<div class=\"next_button\">");
	
	$myPattern = ':&laquo; prev:';
	if(preg_match($myPattern, $html)){
		$temp_offset=$offset-15;
		if($temp_offset < 0){
			$temp_offset=0;	
		}
		echo("<a  href=\"?show=INSTRUCTABLES&sort=VIEWS&limit=15&offset=$temp_offset\"><img src=\"http://www.instructables.com/files/orig/FDV/KAG9/GH4AK2GV/FDVKAG9GH4AK2GV.jpg\"></a>");
	}
	$myPattern = ':next &raquo;:';
	if(preg_match($myPattern, $html)){
		$temp_offset=$offset+15;
		echo("<a  href=\"?show=INSTRUCTABLES&sort=VIEWS&limit=15&offset=$temp_offset\"><img src=\"http://www.instructables.com/files/orig/F7H/CF7L/GH7IIJPD/F7HCF7LGH7IIJPD.jpg\"></a>");
	}
	echo("</div>");
	echo("</div></div>\n\n");
	//end of navigation banner
	
	//regex to find the title, URL, title image and featured status of each Instructable on the fetched page and add them to an array
	
	
	$myPattern = ':<div class="image-display-wrapper"><p class="image-display"><a href="/id/(.*?)/"><img src="http\://img.instructables.com/files/deriv/(.*?).SQUARE2.jpg" alt="" /></a></p><p class="title-display"><a class="itemtitle" href="/id/(.*?)/">(.*?)</a>:';
	preg_match_all($myPattern,$html,$posts,PREG_SET_ORDER);
	
	//beginning of 5x3 block
	echo("<div class=\"outer\">");
	//loops through the array of 15 instructables and prints the HTML to show each one
	foreach ($posts as $post) {
	    $link = $post[1];
  
	    $img = $post[2];
	    $text = $post[4];
	    
	    
	    echo("<div class=\"square\">\n");
	    echo("\t<div class=\"container2\">\n");
	    echo("\t\t<div class=\"image\">\n");
		echo("\t\t\t<a  href=\"http://www.instructables.com/id/$link\">\n");	
		echo("\t\t\t\t<img class=\"title_image\" src=\"http://img.instructables.com/files/deriv/$img.SQUARE2.jpg\">\n");
		
		//echo("\t\t\t\t<img class=\"title_image\" src=\"http\://img.instructables.com/files/deriv/$img.SQUARE2.jpg\">\n");	
		echo("\t\t\t</a>\n");			
		echo("\t\t</div>\n");
		echo("\t\t\t<div class=\"text\">\n");
		echo("\t\t\t\t<a href=\"http://www.instructables.com/id/$link\">$text</a>\n");
		echo("\t\t\t</div>\n");
		if($featured){
			echo("\t\t\t<a href=\"http://www.instructables.com/id/$link\"><img  class=\"feature_banner\" src=\"http://www.instructables.com/static/img/featured.gif\" width=\"56\" height=\"56\"></a>\n");
		}
		echo("\t\t</div>\n");
		echo("\t</div>\n");				
		echo("<!--END: Instructables Embed Code by James Williamson: www.redtorope.com/programming/embed-instructables-->");    
	}
	//end of 5x3 block

?>

</body>
</html>